<?php

namespace App\Http\Livewire\Buscador\Panel;

use Livewire\Component;

class Fechas extends Component
{
    public $fecha_desde;
    public $fecha_hasta;

    /*************************/
    /**  RESETEAR           **/
    /*************************/
    public function resetear()
    {
        $this->reset([       
        'fecha_desde',
        'fechahasta'      
        ]);
    }
    /*************************/
    /**  ENVIAR             **/
    /*************************/
    public function enviar()
    {

        if($this->fecha_desde > $this->fecha_hasta)
        {
            $mensaje = "Error en los parametros, La fecha desde debe ser menor o igual a la fecha hasta";
            $this->emit('ev_msj_error', $mensaje);
            $this->resetear();
        }
        elseif($this->fecha_desde == '')
        {
            $mensaje = "El campo fecha factura desde no debe estar vacio";
            $this->emit('ev_msj_info', $mensaje);
            $this->resetear();
        }
        elseif($this->fecha_hasta == '')
        {
            $mensaje = "El campo fecha factura hasta no debe estar vacio";
            $this->emit('ev_msj_info', $mensaje);
            $this->resetear();
        }
        else
        {
            $this->emit('ev_buscar_fecha',$this->fecha_desde,$this->fecha_hasta);
        }
        return view('livewire.buscador.panel.fechas');
    }
}
